SFML 2.5.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all documented functions with links to the class documentation for each member:

### - s -

- saveToFile() : sf::Image, sf::SoundBuffer
- scale() : sf::Transform, sf::Transformable
- seconds() : sf::Time
- seek() : sf::FileInputStream, sf::InputSoundFile, sf::InputStream, sf::MemoryInputStream, sf::SoundFileReader
- send() : sf::TcpSocket, sf::UdpSocket
- sendCommand() : sf::Ftp
- sendRequest() : sf::Http
- setActive() : sf::Context, sf::RenderTarget, sf::RenderTexture, sf::RenderWindow, sf::Window
- setAttenuation() : sf::SoundSource
- setBlocking() : sf::Socket
- setBody() : sf::Http::Request
- setBuffer() : sf::Sound
- setCenter() : sf::View
- setChannelCount() : sf::SoundRecorder
- setCharacterSize() : sf::Text
- setColor() : sf::Sprite, sf::Text
- setDevice() : sf::SoundRecorder
- setDirection() : sf::Listener
- setEnabled() : sf::Sensor
- setField() : sf::Http::Request
- setFillColor() : sf::Shape, sf::Text
- setFont() : sf::Text
- setFramerateLimit() : sf::Window
- setGlobalVolume() : sf::Listener
- setHost() : sf::Http
- setHttpVersion() : sf::Http::Request
- setIcon() : sf::Window
- setJoystickThreshold() : sf::Window
- setKeyRepeatEnabled() : sf::Window
- setLetterSpacing() : sf::Text
- setLineSpacing() : sf::Text
- setLoop() : sf::Sound, sf::SoundStream
- setLoopPoints() : sf::Music
- setMethod() : sf::Http::Request
- setMinDistance() : sf::SoundSource
- setMouseCursor() : sf::Window
- setMouseCursorGrabbed() : sf::Window
- setMouseCursorVisible() : sf::Window
- setOrigin() : sf::Transformable
- setOutlineColor() : sf::Shape, sf::Text
- setOutlineThickness() : sf::Shape, sf::Text
- setParameter() : sf::Shader
- setPitch() : sf::SoundSource
- setPixel() : sf::Image
- setPlayingOffset() : sf::Sound, sf::SoundStream
- setPoint() : sf::ConvexShape
- setPointCount() : sf::CircleShape, sf::ConvexShape
- setPosition() : sf::Listener, sf::Mouse, sf::SoundSource, sf::Transformable, sf::Window
- setPrimitiveType() : sf::VertexArray, sf::VertexBuffer
- setProcessingInterval() : sf::SoundRecorder
- setRadius() : sf::CircleShape
- setRelativeToListener() : sf::SoundSource
- setRepeated() : sf::RenderTexture, sf::Texture
- setRotation() : sf::Transformable, sf::View
- setScale() : sf::Transformable
- setSize() : sf::RectangleShape, sf::View, sf::Window
- setSmooth() : sf::RenderTexture, sf::Texture
- setSrgb() : sf::Texture
- setString() : sf::Clipboard, sf::Text
- setStyle() : sf::Text
- setTexture() : sf::Shape, sf::Sprite
- setTextureRect() : sf::Shape, sf::Sprite
- setTitle() : sf::Window
- setUniform() : sf::Shader
- setUniformArray() : sf::Shader
- setUpVector() : sf::Listener
- setUri() : sf::Http::Request
- setUsage() : sf::VertexBuffer
- setValue() : sf::ThreadLocal
- setVerticalSyncEnabled() : sf::Window
- setView() : sf::RenderTarget
- setViewport() : sf::View
- setVirtualKeyboardVisible() : sf::Keyboard
- setVisible() : sf::Window
- setVolume() : sf::SoundSource
- Shader() : sf::Shader
- Shape() : sf::Shape
- Socket() : sf::Socket
- SocketSelector() : sf::SocketSelector
- Sound() : sf::Sound
- SoundBuffer() : sf::SoundBuffer
- SoundRecorder() : sf::SoundRecorder
- SoundSource() : sf::SoundSource
- SoundStream() : sf::SoundStream
- Span() : sf::Music::Span< T >
- Sprite() : sf::Sprite
- start() : sf::SoundRecorder
- stop() : sf::Sound, sf::SoundRecorder, sf::SoundSource, sf::SoundStream
- String() : sf::String
- substring() : sf::String
- swap() : sf::Texture, sf::VertexBuffer